{% extends "base.html" %}

{% block main %}
<form class="form-horizontal" role="form" method="POST" action="{{ url_for('register') }}">
    {{ form.hidden_tag() }}
    
    <h1>Register</h1>

    {% if form.error_message != None %}
    <div class="alert alert-danger" role="alert">
        {{ form.error_message }}
    </div>
    {% endif %}

    <div class="form-group">
        <label for="username" class="col-sm-4 control-label">{{ form.username.label }}</label>
        <div class="col-sm-10">
            {{ form.username(size=50, class_="form-control", placeholder="Username") }}
        </div>
    </div>
    <div class="form-group">
        <label for="password" class="col-sm-4 control-label">{{ form.password.label }}</label>
        <div class="col-sm-10">
            {{ form.password(size=50, class_="form-control", placeholder="Password") }}
        </div>
    </div>
    <div class="form-group">
        <label for="cpassword" class="col-sm-4 control-label">{{ form.cpassword.label }}</label>
        <div class="col-sm-10">
            {{ form.cpassword(size=50, class_="form-control", placeholder="Password") }}
        </div>
    </div>
    <div class="form-group horizontal">
        <div class="col-sm-3">
            <button type="submit" class="btn btn-primary">Create account</button>
        </div>
        <div class="col-sm-4">
            <a class="btn btn-outline-secondary" href="{{ url_for('login') }}">Already registered?</a>
        </div>
    </div>
</form>
{% endblock %}
